## dealer 0.20040530

=== Makefile ===
# $Header: /home/henk/CVS/dealer/Makefile,v 1.15 1999/08/05 19:57:44 henk Exp $

CC      = gcc
CFLAGS = -Wall -pedantic -O2 -I. -DNDEBUG -c
FLEX    = flex
YACC    = yacc

PROGRAM  = dealer
TARFILE  = ${PROGRAM}.tar
GZIPFILE = ${PROGRAM}.tar.gz

SRC  = dealer.c pbn.c  c4.c getopt.c pointcount.c
LSRC = scan.l
YSRC = defs.y
HDR  = dealer.h tree.h

OBJ  = dealer.o defs.o pbn.o c4.o getopt.o pointcount.o
LOBJ = scan.c
YOBJ = defs.c


dealer: ${OBJ} ${LOBJ} ${YOBJ}
	${MAKE} -C Random lib
	$(CC) -o $@ ${OBJ} -L./Random -lgnurand

clean:
	rm -f ${OBJ} ${LOBJ} ${YOBJ} 
	${MAKE} -C Examples clean
	${MAKE} -C Random   clean

tarclean: clean ${YOBJ}
	rm -f dealer
	rm -f ${TARFILE}  ${GZIPFILE}

tarfile: tarclean
	cd .. ; \
	tar cvf ${TARFILE} ${PROGRAM} --exclude CVS --exclude ${TARFILE}; \
	mv ${TARFILE} ${PROGRAM} 
	gzip -f ${TARFILE}

test: dealer
	${MAKE} -C Examples test

#
# Lex
#
.l.c:
	${FLEX} -t $< >$@

#
# Yacc
#
.y.c:
	${YACC} $<
	mv -f y.tab.c $@

#
# C-code
#
.c.o:
	${CC} ${CFLAGS} -o $@ $<

# 
# File dependencies
#
scan.c: scan.l
defs.c: scan.c defs.y
dealer.o: tree.h scan.l dealer.h defs.c scan.c 
pbn.o: tree.h scan.l dealer.h
defs.o:	tree.h
c4.o: c4.c  c4.h
getopt.o: getopt.h
pointcount.o: pointcount.h

=== Examples/Makefile ===
#
# Makefile to process all Descr.* files with dealer and write the output
# to Output.*.  make test executes the test, make clean cleans up.
# Depending on the CPU power that you have, these test may take up to
# 30 minutes to run.
#

SHELL=/bin/sh

OUTPUT = $(wildcard Output.*)

test: examples distribution 

distribution:
	../dealer -s 1 <Test.distribution | convert.pl >Output.distribution	
	diff Output.distribution Refer.distribution

examples:
	test_dealer.pl

refer:
	-for f in ${OUTPUT}; do \
		echo $$f; \
		f1=`echo $$f | sed s/Output/Refer/` ; \
		echo $$f1; \
		/bin/cp $$f $$f1; \
	done 


clean:
	-rm -f ${OUTPUT}

=== Random/Makefile ===
SRC      = $(wildcard *.c) 
OBJ      = $(subst .c,.o,$(wildcard *.c)) 
GCC      = gcc
GCCFLAGS = -c -Wall -O2 -I.
HDR      = ansidecl.h
LIB      = libgnurand.a
AR       = ar
ARFLAGS  = rcs

help:
	@echo "Makefile tags:"
	@echo
	@echo "lib:   Make ${LIB}"
	@echo "clean: Remove ${OBJ}"
	@echo  

lib: ${LIB}


clean:
	-rm ${OBJ} ${LIB}

.c.o: ${HDR}
	${GCC} ${GCCFLAGS} -o $@ $<

${LIB}: ${OBJ} ${HDR}
	${AR} ${ARFLAGS} $@ ${OBJ}

__random.o: ${HDR}
rand.o:     ${HDR}
srand.o:    ${HDR}

=== debian/changelog ===
dealer (0.20040530-4) unstable; urgency=low

  * Enable build hardening.

 -- Christoph Berg <myon@debian.org>  Sun, 04 Mar 2012 14:24:11 +0100

dealer (0.20040530-3) unstable; urgency=low

  * Improve manpage a bit.

 -- Christoph Berg <myon@debian.org>  Thu, 17 May 2007 22:07:27 +0200

dealer (0.20040530-2) unstable; urgency=low

  * Fix spelling error in Description (Closes: #363231).

 -- Christoph Berg <myon@debian.org>  Tue, 18 Apr 2006 17:14:34 +0200

dealer (0.20040530-1) unstable; urgency=low

  * Initial release (Closes: #323076).
  * dealer.c: 64bit fix.
  * Wrote manpages.

 -- Christoph Berg <myon@debian.org>  Wed,  7 Sep 2005 23:32:20 +0200

=== debian/control ===
Source: dealer
Section: games
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 9), bison, perl
Standards-Version: 3.9.3
Vcs-Browser: http://svn.df7cb.de/debian/dealer/trunk/
Vcs-Svn: http://svn.df7cb.de/debian/dealer/trunk/

Package: dealer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: bridge hand generator
 This program generates bridge hands for partnerships bidding training or
 for generating statistics that can be used to design conventions, or win
 postmortems. Dealer has been used in many bridge publications.
 .
 http://www.dombo.org/henk/dealer.html
 .
 Bridge is an intellectually challenging card game for four players.
 The "deal" package provides a similar generator programmable in Tcl.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

CFLAGS = -Wall -g
D=$(CURDIR)/debian/dealer

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# some generated files in tarball are removed by clean
	if [ ! -f .defs.c ] ; then cp defs.c .defs.c ; fi
	if [ ! -f .scan.c ] ; then cp scan.c .scan.c ; fi
	touch $@

build-indep:

build build-arch: build-stamp
build-stamp: configure-stamp
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# some generated files in tarball are removed by clean
	if [ ! -f .defs.c ] ; then cp defs.c .defs.c || true ; fi
	if [ ! -f .scan.c ] ; then cp scan.c .scan.c || true ; fi
	$(MAKE) clean
	if [ -f .defs.c ] ; then mv .defs.c defs.c ; fi
	if [ -f .scan.c ] ; then mv .scan.c scan.c ; fi

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_install
	cp Pre_Processors/dpp $D/usr/games/dealer.dpp
	rm $D/usr/share/doc/dealer/Examples/.cvsignore
	find $D -name .svn -type d | xargs rm -rf

# Build architecture-independent files here.
binary-indep:

# Build architecture-dependent files here.
binary binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installman dealer*.6
	dh_strip
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

.PHONY: build build-indep build-arch clean binary-indep binary-arch binary install configure

## dealer 20161012

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 # $Header: /home/henk/CVS/dealer/Makefile,v 1.15 1999/08/05 19:57:44 henk Exp $
 
 CC      = gcc
-CFLAGS = -Wall -pedantic -O2 -I. -DNDEBUG -c
+CFLAGS = -Wall -pedantic -I. -DNDEBUG -c
 FLEX    = flex
 YACC    = yacc
+# Note: this should be the Berkeley Yacc, sometimes called byacc
 
 PROGRAM  = dealer
 TARFILE  = ${PROGRAM}.tar
@@ -29,12 +30,13 @@
 	${MAKE} -C Random   clean
 
 tarclean: clean ${YOBJ}
-	rm -f dealer
+	rm -f ${PROGRAM}
 	rm -f ${TARFILE}  ${GZIPFILE}
 
 tarfile: tarclean
 	cd .. ; \
-	tar cvf ${TARFILE} ${PROGRAM} --exclude CVS --exclude ${TARFILE}; \
+        rm ${TARFILE} ${GZIPFILE} ; \
+	tar cvf ${TARFILE} ${PROGRAM} ; \
 	mv ${TARFILE} ${PROGRAM} 
 	gzip -f ${TARFILE}

=== debian/changelog ===
dealer (20161012-4) unstable; urgency=medium

  * Repository moved to salsa.
  * Bump to dh 11.

 -- Christoph Berg <myon@debian.org>  Tue, 25 Sep 2018 21:57:31 +0200

dealer (20161012-3) unstable; urgency=medium

  * Team upload.
  * Fix infinite loop on architectures where char is unsigned, thanks to
    Adrian Bunk for the initial hint! (Closes: #882528)

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 24 Nov 2017 13:09:15 +0100

dealer (20161012-2) unstable; urgency=medium

  * Team upload.
  * Add missing flex Build-Depends.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 23 Nov 2017 12:51:35 +0100

dealer (20161012-1) unstable; urgency=medium

  * New upstream version.
    + Tarball rebuilt to remove all ._* files.
  * Convert rules to dh(1).
  * Simplify Makefile and use system getopt and srand.
  * Run simple test at build time and via autopkgtest.
  * Use dh-exec to install dealer.dpp.
  * Fix mycalloc definition. (Closes: #750982)
  * Sort shapes in Dealer::Dist.pm to get reproducible results.
  * Update upstream homepage.

 -- Christoph Berg <myon@debian.org>  Thu, 23 Nov 2017 08:38:03 +0100

=== debian/watch ===
version=4
https://henku.home.xs4all.nl/assets/downloads/dealer_([0-9].*).tar.*

## dealer 20190529+ds

=== Examples/Makefile ===
#
# Makefile to process all Descr.* files with dealer and write the output
# to Output.*.  make test executes the test, make clean cleans up.
# Depending on the CPU power that you have, these test may take up to
# 10 minutes to run.
#

DEALER = ../dealer

SHELL=/bin/sh

OUTPUT = $(wildcard Output.*)

test: examples distribution 

distribution:
	${DEALER} -s 1 <Test.distribution | ./convert.pl >Output.distribution	
	diff Output.distribution Refer.distribution

examples:
	./test_dealer.pl

refer:
	-for f in ${OUTPUT}; do \
		echo $$f; \
		f1=`echo $$f | sed s/Output/Refer/` ; \
		echo $$f1; \
		/bin/cp $$f $$f1; \
	done 


clean:
	-rm -f ${OUTPUT}

=== debian/changelog ===
dealer (20190529+ds-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update standards version to 4.2.1, no changes needed.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Christoph Berg ]
  * Define global variables only once from dealer.c. (Closes: #957126)
  * Convert /usr/share/perl5/Dealer/Dist.pm to UTF-8.
  * DH 13.

 -- Christoph Berg <myon@debian.org>  Tue, 28 Jul 2020 17:00:48 +0200

dealer (20190529+ds-1) unstable; urgency=medium

  * New upstream version.
  * debian/copyright: Rewrite to DEP5 so Files-Excluded works.
  * Exclude ._* from tarball, and while we are at it, other files not used by
    the Debian package as well.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Sun, 28 Jul 2019 20:02:00 +0200

=== debian/control ===
Source: dealer
Section: games
Priority: optional
Maintainer: Christoph Berg <myon@debian.org>
Build-Depends:
 bison,
 debhelper-compat (= 13),
 dh-exec,
 flex,
 perl,
Standards-Version: 4.5.0
Homepage: https://henku.home.xs4all.nl/software/dealer.html
Vcs-Browser: https://salsa.debian.org/debian/dealer
Vcs-Git: https://salsa.debian.org/debian/dealer.git

Package: dealer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: bridge hand generator
 This program generates bridge hands for partnerships bidding training or
 for generating statistics that can be used to design conventions, or win
 postmortems. Dealer has been used in many bridge publications.
 .
 Bridge is an intellectually challenging card game for four players.
 The "deal" package provides a similar generator programmable in Tcl.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_test:
	./dealer -s 1 Examples/Descr.6c | tee test.out
	grep 'king drops: 0.575647' test.out

=== debian/watch ===
version=4
opts="dversionmangle=s/\+ds//, repacksuffix=+ds" \
https://henku.home.xs4all.nl/assets/downloads/dealer_([0-9].*).tar.*

## dealer 20211121+ds

=== Makefile ===
--- 
+++ 
@@ -10,24 +10,22 @@
 TARFILE  = ${PROGRAM}.tar
 GZIPFILE = ${PROGRAM}.tar.gz
 
-SRC  = dealer.c pbn.c  c4.c getopt.c pointcount.c
+SRC  = dealer.c pbn.c  c4.c getopt.c pointcount.c __random.c rand.c srand.c
 LSRC = scan.l
 YSRC = defs.y
 HDR  = dealer.h tree.h
 
-OBJ  = dealer.o defs.o pbn.o c4.o getopt.o pointcount.o
+OBJ  = dealer.o defs.o pbn.o c4.o getopt.o pointcount.o __random.o rand.o srand.o
 LOBJ = scan.c
 YOBJ = defs.c
 
 
 dealer: ${OBJ} ${LOBJ} ${YOBJ}
-	${MAKE} -C Random lib
-	$(CC) -o $@ ${OBJ} -L./Random -lgnurand
-
+	$(CC) -o $@ ${OBJ} 
+	
 clean:
 	rm -f ${OBJ} ${LOBJ} ${YOBJ} 
 	${MAKE} -C Examples clean
-	${MAKE} -C Random   clean
 
 tarclean: clean ${YOBJ}
 	rm -f ${PROGRAM}

=== debian/changelog ===
dealer (20211121+ds-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 23 Aug 2022 13:52:11 +0200

=== debian/tests/control ===
Depends:
 @,
Tests: dealer
Restrictions: allow-stderr
